Orkestra.gg
  1. Web methods
Orkestra.gg
  • Welcome to Orkestra Game Guard
  • How it works
  • Web methods
    • New Deposit
      POST
    • Registering User
      POST
    • Get Balance
      GET
    • Get Transaction Page Details
      GET
    • New Withdrawal
      POST
    • Settle Amount
      POST
    • Process Remittance
      POST
  • Webhooks
    • Untitled Endpoint
      GET
  1. Web methods

Settle Amount

Sandbox Env
Sandbox Env
POST
/customers/43278243803/settlements

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Body Params application/json

Example
{
    "externalIdentifier": "{{$randomUUID}}",
    "amount": 70.00,
    "currency": "BRL",
    "paymentMethod": "PIX",
    "customer": {
        "documentNumber": "43278243803",
        "firstName": "Iago",
        "lastName": "Senefonte"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/customers/43278243803/settlements' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "externalIdentifier": "{{$randomUUID}}",
    "amount": 70.00,
    "currency": "BRL",
    "paymentMethod": "PIX",
    "customer": {
        "documentNumber": "43278243803",
        "firstName": "Iago",
        "lastName": "Senefonte"
    }
}'

Responses

🟢200Success
application/json
Body

Example
{
    "id": "669a99c81482bf548bb723f4",
    "externalIdentifier": "8bb33b7d-dadf-4eb7-8803-16de19fd40e6",
    "amount": 1,
    "currency": "BRL",
    "message": null,
    "status": "COMPLETED",
    "createdAt": "2024-07-19T13:52:24.704Z",
    "processedAt": null
}
Modified at 2024-07-24 14:00:47
Previous
New Withdrawal
Next
Process Remittance
Built with